<?php

namespace App\Http\Controllers;
use Spatie\Permission\Models\Role;
use App\Models\User;
use Illuminate\Http\Request;

class PatientController extends Controller
{
    public function store(Request $request)
    {
        // Логика для создания пациента
        $validated = $request->validate([
            'name' => 'required|string|max:255',
            'email' => 'required|string|email|max:255|unique:users',
            'diagnosis' => 'required|string',
        ]);

        $patient = Patient::create([
            'name' => $validated['name'],
            'email' => $validated['email'],
            'diagnosis' => $validated['diagnosis'],
        ]);

        return response()->json(['message' => 'Patient created successfully']);
    }

    public function index()
    {
        // Получаем текущего пользователя (доктора)
        $doctor = auth()->user();

        // Получаем всех пациентов, зарегистрированных этим доктором
        //$patients = User::where('doctor_id', $doctor->id)->get();
		$patients = User::role('patient')->where('doctor_id', $doctor->id)->get();

        return response()->json($patients);
    }

    public function showCourses()
    {
        // Логика для отображения курсов для пациента
        $courses = auth()->user()->courses;  // Пример
        return response()->json($courses);
    }
	
}

