<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddDoctorIdToUsersTable extends Migration
{
    /**
     * Выполнить миграцию.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            // Добавляем столбец doctor_id
            $table->unsignedBigInteger('doctor_id')->nullable()->after('id'); // после столбца 'id'
            $table->foreign('doctor_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Откатить миграцию.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            // Удаляем столбец doctor_id
            $table->dropForeign(['doctor_id']); // удаляем связь с внешним ключом
            $table->dropColumn('doctor_id');
        });
    }
}
