<?php

use App\Http\Controllers\Auth\AuthController;
use App\Http\Controllers\Auth\RegisterController;
use App\Http\Controllers\PatientController;
use App\Http\Controllers\ExerciseController;
use App\Http\Controllers\CourseController;
use Illuminate\Support\Facades\Route;
use Spatie\Permission\Models\Role;

Route::get('/exercises', [ExerciseController::class, 'index']);
Route::post('/exercises', [ExerciseController::class, 'store']);

Route::get('/courses', [CourseController::class, 'index']);
Route::post('/courses', [CourseController::class, 'store']);
Route::post('/courses/{course}/add-exercise', [CourseController::class, 'addExercise']);
Route::post('/login', [AuthController::class, 'login']);  // Для входа пользователя
Route::post('/register-doctor', [RegisterController::class, 'registerDoctor']);  // Для регистрации доктора
Route::middleware(['auth:sanctum'])->post('/register-patient', [RegisterController::class, 'registerPatient']);

Route::middleware(['auth:sanctum', 'role:doctor'])->group(function () {
    Route::post('/patients', [PatientController::class, 'store']);  // Создание пациента
    Route::get('/patients', [PatientController::class, 'index']);  // Список пациентов
});

Route::middleware(['auth:sanctum', 'role:patient'])->group(function () {
    Route::get('/my-courses', [PatientController::class, 'showCourses']);  // Просмотр курсов пациента
	
});
Route::middleware('auth:sanctum')->group(function () {
    // Роут для назначения курса пациенту
    Route::post('/patients/assign-course', [CourseController::class, 'assignCourse']);
});
Route::middleware('auth:sanctum')->get('/view-courses', [CourseController::class, 'viewCourses']);
Route::post('complete-exercise', [ExerciseController::class, 'completeExercise']);
Route::post('assign-course-to-patient', [CourseController::class, 'assignCourseToPatient']);
Route::middleware('auth:sanctum')->group(function () {
    // Назначение курса пациенту — только для доктора
    Route::post('/assign-course-to-patient', [CourseController::class, 'assignCourseToPatient']);

    // Завершение упражнения
  
});
 Route::post('/exercise/complete', [ExerciseController::class, 'completeExercise']);
